classdef  SCDDSdemo_expcode < SCDDSclass_expcode
  properties (SetAccess = protected)
    mainname        = 'demo'   % Main slx moded name
    definednodes    = 6;       % defined node
  end
  
  methods
    function obj=SCDDSdemo_expcode(varargin)
      % Constructor for SCDclass_expcode
      % Call superclass constructor
      obj@SCDDSclass_expcode(varargin{:});

      % override algonameprefix
      obj.algonameprefix  = 'algo'; % Algorithm name prefix
    end
    
    function build(obj)
      % set specific configuration settings 
      SCDconf_setConf('configurationSettingsCODEgcc');
      % build
      build@SCDDSclass_expcode(obj); % call superclass method
    end
    
    function node = getdefaultnode(~,~)
      % Default node to populate empty nodes if any
      node = SCDDSdemo_node.empty;
    end
  end
end